VismaBouwsoftAPICalls.v1_POST_Jobs Method
v1_POST_Jobs() as String

This API call is used to add a(n) Job

General Description

HTTP method API version
POST v1

Don’t forget to put the Authorization field in the header

API Path: /Jobs
or

Fields

The following fields are available:

Field Name Type Id Type Name Length Required Writeable Force Write Link
code 2 tpString 10 Yes Yes No
name 2 tpString 100 No Yes No
price_hour 8 tpCurrency 0 No Yes No
price_hour_saturday 8 tpCurrency 0 No Yes No
price_hour_sunday 8 tpCurrency 0 No Yes No
price_km 8 tpCurrency 0 No Yes No
ts_lastupdate 3 tpDate 0 No No No

/Jobs

API Path: /Jobs/

If everything succeeds the HTTP response status is 201
(201 CREATED)

If you forget to send the Authorization, the response status and code is 401
(401 Unauthorized)

For an explanation of all possible errors, please consult our section on possible answers to API calls here

Examples:

https://ra.bouwsoft.be/api/v1/Jobs

with the following parameters :

Header Parameters :
ParameterName: Clientnr, ParameterValue: 115
ParameterName: AccessToken, ParameterValue: UrkfWxfGVOzSfDAfbfzRqGkbfAkVGfjVfAmbzmOkjbffUfjjfb

Query Parameters :
ParameterName: columns, ParameterValue: code=’APIJob’

Success gives statuscode 201 And the following result

{“RecordChanges”: [
  {
    "id": 48,
    "code": "APIJOB",
    "name": "",
    "price_hour": 0.0,
    "price_hour_saturday": 0.0,
    "price_hour_sunday": 0.0,
    "price_km": 0.0,
    "ts_lastupdate": "2026–05–07 09:18:56"
  }
]
}